Page MenuHomePhabricator

Migrate FreeCol to the new validator framework
Closed, ResolvedPublic

Description

Migrate the existing checker / suggester code to instead use the new validator framework. We need to add,

  1. Validator for variable - /%[a-zA-Z_]+%/ that is insertable and enforced.
  2. Add a new validator to ensure characters are escaped properly For eg: Message: -%tax%%:\t%gold%. During translation \t should be properly escaped. New validator will have to be added for this. This needs to be enforced but not insertable.

We'll need to update the YAML configuration file located here - https://phabricator.wikimedia.org/diffusion/GTWN/browse/master/groups/

Documentation: https://www.mediawiki.org/wiki/Help:Extension:Translate/Validators

Example patch: https://gerrit.wikimedia.org/r/c/translatewiki/+/549930

Event Timeline

abi_ created this task.Nov 11 2019, 7:44 AM

Change 559351 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[mediawiki/extensions/Translate@master] Add EscapeCharacterValidator

https://gerrit.wikimedia.org/r/559351

Change 560539 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Replace checkers/suggesters in FreeCol with validators

https://gerrit.wikimedia.org/r/560539

abi_ triaged this task as Medium priority.Dec 24 2019, 5:34 PM

Change 559351 merged by Abijeet Patro:
[mediawiki/extensions/Translate@master] Add EscapeCharacterValidator

https://gerrit.wikimedia.org/r/559351

Change 560539 merged by jenkins-bot:
[translatewiki@master] Replace checkers/suggesters in FreeCol with validators

https://gerrit.wikimedia.org/r/560539

Nikerabbit closed this task as Resolved.Jan 15 2020, 2:09 PM
Nikerabbit removed a project: Patch-For-Review.